Package org.eclipse.lemminx.settings

## Class LogsSettings

- java.lang.Object
- - org.eclipse.lemminx.settings.LogsSettings

    public class LogsSettings
    extends Object

XML logs settings.

### Constructor Summary

Constructors
`LogsSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFile()` Returns the file path of logs and null otherwise.
`boolean` `isClient()` Returns `true` if LSP client is enabled and `false` otherwise.
`void` `setClient​(boolean client)`
`void` `setFile​(String file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogsSettings

    public LogsSettings()

### Method Detail

#### getFile

    public String getFile()

Returns the file path of logs and null otherwise.

Returns:
  the file path of logs and null otherwise.

#### setFile

    public void setFile​(String file)

#### isClient

    public boolean isClient()

Returns `true` if LSP client is enabled and `false` otherwise.

Returns:
  `true` if LSP client is enabled and `false` otherwise.

#### setClient

    public void setClient​(boolean client)